---
title: DynamicsCompressorNode.knee
slug: Web/API/DynamicsCompressorNode/knee
tags:
  - API
  - DynamicsCompressorNode
  - Property
  - Reference
  - Référence(2)
  - Web Audio API
  - knee
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>knee</code> property of the {{ domxref("DynamicsCompressorNode") }} interface is a <a href="/en-US/docs/DOM/AudioParam#k-rate">k-rate</a> {{domxref("AudioParam")}} containing a decibel value representing the range above the threshold where the curve smoothly transitions to the compressed portion.</p>

<p>The <code>knee</code> property's default value is <code>30</code> and it can be set between <code>0</code> and <code>40</code>.</p>

<p><img alt="Describes the effect of a knee, showing two curves one for a hard knee, the other for a soft knee." src="https://mdn.mozillademos.org/files/5113/WebAudioKnee.png" style="height: 244px; width: 257px;"></p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var compressor = audioCtx.createDynamicsCompressor();
compressor.knee.value = 40;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("AudioParam")}}.</p>

<div class="note">
<p><strong>Note</strong>: Though the {{domxref("AudioParam")}} returned is read-only, the value it represents is not.</p>
</div>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createDynamicsCompressor","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-dynamicscompressornode-knee', 'knee')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DynamicsCompressorNode.knee")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
